<form *ngIf="project || noEnsembleLock" #f="ngForm">
  <div class="form-group">
    <label for="nameInput" class="required">Projektname</label>
    <input id="nameInput" class="form-control" type="text"
           #name="ngModel" [(ngModel)]="project.name"
           name="nameInput" placeholder="Mein Projekt"
           required>
    <app-show-form-errors [control]="name"></app-show-form-errors>
  </div>
  <div class="form-group">
    <label for="rangeDateInput" class="required">Zeitraum</label>
    <input type="text"
           placeholder="von - bis"
           class="form-control"
           bsDaterangepicker
           [(ngModel)]="project.range"
           (bsValueChange)="rangeChanged($event)"
           name="rangeDateInput" id="rangeDateInput"
           required
           #dateRange="ngModel"
    >
    <app-show-form-errors [control]="dateRange"></app-show-form-errors>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8">
      <label for="deadlineDateInput" class="required">Anmeldung möglich bis</label>
      <input type="text"
             placeholder="von"
             class="form-control"
             bsDatepicker
             [(ngModel)]="project.deadline"
             [minDate]="project.start"
             [maxDate]="project.end"
             name="deadlineDateInput" id="deadlineDateInput"
             required
             #deadlineDate="ngModel"
      >
      <app-show-form-errors [control]="deadlineDate"></app-show-form-errors>
    </div>
    <div class="form-group col-md-4">
      <label for="deadlineTimeInput" class="required">Uhrzeit</label>
      <timepicker [showSpinners]="false" [showMeridian]="false"
                  name="deadlineTimeInput"
                  [(ngModel)]="project.deadline"
                  id="deadlineTimeInput"
                  required #deadlineTime="ngModel"
                  (ngModelChange)="checkTime($event)"
      >
      </timepicker>
      <app-show-form-errors [control]="deadlineTime"></app-show-form-errors>
    </div>
  </div>
  <div class="form-group">
    <label for="statusInput" class="required">Status</label>
    <select class="custom-select"
            [(ngModel)]="project.status"
            name="statusInput"
            id="statusInput"
    >
      <option value="draft">Entwurf</option>
      <option value="active">Aktiv</option>
      <option value="locked">Gesperrt</option>
    </select>
    <small id="statusHelpBlock" class="form-text text-muted">
      <strong>Entwurf: </strong>Das Projekt wird nur Admins angezeigt.<br>
      <strong>Aktiv: </strong>Alle können das Projekt sehen.<br>
      <strong>Gesperrt: </strong>Alle können das Projekt sehen, aber die Anmeldung ist gesperrt.<br>
    </small>
  </div>
  <div class="form-group">
    <label for="descriptionInput">Beschreibung</label>
    <div id="descriptionInput">
      <eos-ckeditor [content]="project.description" (contentChanged)="descriptionChanged($event)"></eos-ckeditor>
    </div>
  </div>
  <!--
  <div class="form-group">
    <label class="required">Ensembles</label>
    <div class="form-check" *ngFor="let ensemble of ensembles">
      <input class="form-check-input" type="checkbox"
             value="{{ensemble.ensemble.id}}"
             id="{{ensemble.ensemble.id}}"
             (change)="setEnsemble(ensemble.ensemble)"
      >
      <label class="form-check-label" for="{{ensemble.ensemble.id}}">
        {{ensemble.ensemble.name}}
      </label>
    </div>
  </div>
  -->
  <div class="form-group" *ngIf="showEnsembleChoice">
    <label for="ensemblesInput" class="required">Ensembles</label>
    <select class="custom-select"
            id="ensemblesInput" name="ensembleInput"
            [(ngModel)]="project.ensembles[0]"
            #ensembles="ngModel"
    >
      <option *ngFor="let ensemble of ensembleUsers" [ngValue]="ensemble.ensemble">{{ensemble.ensemble.name}}</option>
    </select>
    <app-show-form-errors [control]="ensembles"></app-show-form-errors>
  </div>
  <!--<small class="text-muted">Um mehrere zu markieren STRG/command gedrückt halten</small>-->
</form>
